# No debug package is necesary since nothing is compiled.
%define debug_package %{nil}

Name:           scisoft-extras
Version:        1.2
Release:        1%{?dist}
Summary:        References to other RPMs not related to Scisoft RPMs
Distribution:   Scisoft
Group:          Applications/Scientific
License:        ESO

BuildArch:      noarch

Requires:       python-matplotlib >= 1.2
Requires:       python-numdisplay
Requires:       python-astropy
Requires:       python-pmw
Requires:       numpy
Requires:       tkinter
Requires:       cfitsio
Requires:       wcstools
Requires:       plplot
Requires:       lapack
Requires:       gsl
Requires:       atlas
Requires:       fftw
Requires:       plotutils
Requires:       saoimage
Requires:       grace
Requires:       wxPython
Requires:       graphviz
Requires:       cloudy
Requires:       python-numeric
Requires:       ggobi
Requires:       gnuplot-py
# This packages are only available for Fedora.
%if 0%{?fedora}
Requires:       scipy
Requires:       python-ipython
Requires:       fpack
%endif

%description
This is just an independent RPM to complete the Scisoft installation with
references to those packages that can be provided with standard distributions.

%prep

%build

%install

%files

%changelog
* Mon Mar 12 2018 Artur Szostak <aszostak@partner.eso.org> 1.1
- Changing Matplotlib dependency back to newer than 1.2.
- Integrating into automated build system.

* Thu May 4 2017 Artur Szostak <aszostak@partner.eso.org> 1.0-5
- Making sure Matplotlib version is newer or equal to 1.3 (PIPE-5190).

* Tue Oct 18 2016 Artur Szostak <aszostak@partner.eso.org> 1.0-4
- Updating for Fedora 24.

* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
